%global momorel 2
%global md5sum_src0 6ab510d54654d2973f91b5d0de54f854
Name:       rhythmbox
Summary:    A music management application, originally inspired by Apple's iTunes.
#'
Version:     0.10.1
Release: %{momorel}m%{?dist}
License:     GPL
Group:	     Applications/Multimedia
%NoSource 0 http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.10/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1:     http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/rhythmbox.png
Patch0:      rhythmbox-0.9.8-eel_strdup_strftime.patch
URL:         http://www.gnome.org/projects/rhythmbox/
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl-XML-Parser
BuildPrereq: gettext >= 0.14.5
BuildPrereq: glib-devel >= 2.12.3
BuildPrereq: pkgconfig >= 0.20
BuildPrereq: hal-devel >= 0.5.7
BuildPrereq: gstreamer010-devel >= 0.10.8
BuildPrereq: avahi-devel >= 0.6.13
BuildPrereq: libnotify-devel >= 0.4.2
BuildPrereq: libsoup-devel >= 2.2.96
BuildPrereq: zlib-devel >= 1.2.3
BuildPrereq: libmusicbrainz-devel >= 2.1.2
BuildPrereq: nautilus-cd-burner-devel >= 2.16.0
BuildPrereq: GConf-devel >= 2.14.0
BuildPrereq: lirc-devel >= 0.8.0
BuildPrereq: python >= 2.5
BuildPrereq: pygtk >= 2.10.1
BuildPrereq: dbus-devel >= 0.92
BuildPrereq: libgpod-devel >= 0.6.0
BuildPrereq: totem-devel
Requires: gst-plugins-base
Requires: gst-plugins-good

%description
Rhythmbox is an integrated music management application, originally inspired by Apple's iTunes. It is free software, designed to work well under the GNOME Desktop, and based on the powerful GStreamer media framework.
#'

%prep
%setup -q
%patch0 -p1 -b .eel_strdup_strftime

%build
%configure --enable-gtk-doc --enable-python --with-ipod --with-check=no --disable-schemas-install --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# delete scrollkeeper
rm -rf --preserve-root %{buildroot}/var/lib/scrollkeeper

# install icon
install -d %{buildroot}/%{_datadir}/pixmaps
install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps

# delete libtool library
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/rhythmbox.schemas; do
  gconftool-2 --makefile-install-rule $i > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_libdir}/%{name}
%{_libdir}/librhythmbox-core.*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/omf/%{name}
%{_datadir}/gtk-doc/html/%{name}
%{_libexecdir}/%{name}-metadata
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.1-2m)
- rebuild against libgpod-0.6.0

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update 0.10.1

* Mon Apr  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-1m)
- update 0.10.0

* Sat Mar  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-2m)
- update patch (eel_strdup_strftime)

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-2m)
- rebuild against libgpod-0.4.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update to 0.9.7

* Sun Oct  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
-- delete patch1 (for dbus)

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-7m)
- rebuild against gnutls-1.4.4-1m

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-6m)
- rebuild against nautilus-cd-burner-2.16.0 libgpod-devel-0.3.2-3m

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-5m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-4m)
- rebuild against expat-2.0.0-1m

* Fri Jul 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-3m)
- add BuildPrereq: libgpod-devel
- add patch0 (eel_strdup_strftime)

* Wed Jul 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-2m)
- add --with-check=no to configure

* Wed Jul 12 2006 imuchin <imuchin777@m3.dion.ne.jp>
- (0.9.5-1m)
- initial build
